Appearance
GET
/web-store/store/stores/{webStoreId}Required scope:
viskan:webstore:readGets a web store by its internal identifier.
Parameters
Path parameters
webStoreId string Format:
uuidThe internal identifier of the web store to get.
Response
The response contains the information about the web store.
JSON
{
"webStoreId": "0e1ad1e6-5ad2-4df1-981b-4db39e44a684",
"localeMode": "COUNTRY_IN_PATH",
"rootProductCategoryId": "d0bc44ec-1efd-4af9-a825-7deb4f0712ce",
"startPageCategoryId": "5650586e-34e5-4de4-97f5-15ea3dc3f80a",
"headerCategoryId": "10d835f7-b46c-48e0-8996-ea75d3de3500",
"footerCategoryId": "1bbae4b1-c1fe-42b3-90a5-20dc9b5522f4",
"productDetailPageCategoryId": "82c82cec-5381-4e23-ac8f-0e88eb9ac54f",
"notFoundCategoryId": "05616617-3a4a-4c7c-b825-95e54362f344",
"notFoundGlobalCategoryId": "f629c1fd-b73e-41eb-a2b1-a6178702c51a",
"checkoutCategoryId": "7e2b6869-24ee-4c1d-9b62-24472a72cd2b",
"receiptCategoryId": "16d64e15-a80c-4ec7-b575-2e5bb8238ea0",
"localePickerCategoryId": "50372cca-b819-4809-8d26-ea87dcdd7195",
"searchResultCategoryId": "7c9fd76d-d6fd-40ad-a351-571b3839506b",
"storeSettings": [
{
"storeSettingId": "f9ba6266-24d3-49bd-ac4d-5bac5059effa",
"storeSettingKey": "showMenu",
"storeSettingValue": true,
"countryCode": "SE",
"languageCode": "sv",
"publishedAt": "2024-08-14T12:34:56.412"
}
],
"locales": [
{
"contentLocaleId": "78dd64ef-ee64-494d-af21-3f4ac7e226a3",
"languageCode": "sv",
"countries": [
{
"countryCode": "SE",
"enabled": true
}
],
"publishedAt": "2024-08-14T12:34:56.412"
}
]
}
| Error code | Description |
|---|---|
web-store.get.web-store-not-found | Could not find web store with the given ID. |